Class UmlBaseNcRelation

Manage the relations between non class objects, for instances
dependency between packages and use case generalization

Declaration :

- C++ : class UmlBaseNcRelation : public UmlItem
- Java : abstract class UmlBaseNcRelation extends UmlItem

Directly inherited by : UmlNcRelation

Artifact : UmlBaseNcRelation

Operation create

returns a new non class relation of the given 'kind' from 'start' to 'end'
In case it cannot be created ('parent' cannot contain it etc ...)
return 0 in C++ and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(in kind : aRelationKind, inout start : UmlItem, inout end : UmlItem) : UmlNcRelation, exceptions : RuntimeException
- C++ : public: static UmlNcRelation * create(aRelationKind kind, UmlItem * start, UmlItem * end)
- Java : public static UmlNcRelation create(aRelationKind kind, UmlItem start, UmlItem end) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation relationKind

returns the kind of the relation : aGeneralisation or a Dependency, the other are not allowed
for the non class relations

Declaration :

- Uml : + relationKind() : aRelationKind
- C++ : public: aRelationKind relationKind()
- Java : public aRelationKind relationKind()

Operation target

returns the 'end' object (the 'start' object is the parent of the relation) no set !

Declaration :

- Uml : + target() : UmlItem
- C++ : public: UmlItem * target()
- Java : public UmlItem target()

Relation _rel_kind (<directional composition>)

Declaration :

- Uml : - _rel_kind : aRelationKind
- C++ : private: aRelationKind _rel_kind
- Java : private aRelationKind _rel_kind

Relation _target (<unidirectional association>)

Declaration :

- Uml : - _target : UmlItem
- C++ : private: UmlItem * _target
- Java : private UmlItem _target

Operation read_uml_

internal, do NOT use it

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation UmlBaseNcRelation

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseNcRelation(in id : item_id, in n : string) :
- C++ : protected: UmlBaseNcRelation(void * id, const QCString & n)
- Java : protected UmlBaseNcRelation(long id, String n)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , relationKind , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , target , unload